-- Standard values
PVPRole_SV = PVPRole_SV or {
	left = 0,	-- to TargetFrame
	top = 10	-- to Top of TargetFrame
};

-- get Information about TargetFrame
local left = TargetFrame:GetWidth() + PVPRole_SV.left;
local top = -1 * PVPRole_SV.top;

local f = CreateFrame("frame", "Rolle", UIParent);
f:RegisterEvent("PLAYER_TARGET_CHANGED");

f:SetFrameStrata("BACKGROUND");
f:SetWidth(64);
f:SetHeight(64);
f:SetScript("OnEvent",function(s,e,a)
	f:SetPoint("TOPLEFT", TargetFrame,"TOPLEFT",left,top);
	-- Generally Hide 
	f:Hide();
	-- check if player in bg
	if(select(2, IsInInstance()) == "pvp") then
		local playersInBattlefield = GetNumBattlefieldScores();		-- num of players in bg
		-- Initialisation of variables
		local targetName, targetRealm;
		targetName, targetRealm = UnitName("target");
	
		if(targetName and targetRealm) then
			targetName = targetName .."-".. targetRealm;
		end
	
	
		for i = 1, playersInBattlefield, 1 do -- check all players in battleground stats
			-- all the fucking shit to get programm working
			name, killingBlows, honorableKills, deaths, honorGained, faction, race, class, classToken, damageDone, healingDone, bgRating, ratingChange, preMatchMMR, mmrChange, talentSpec = GetBattlefieldScore(i);
		
			if(name == targetName) then
				print(talentSpec);
				-- set extract active role out of talent spec
				activeRole = specToRole(talentSpec);
				-- set texture depending on role
				if(activeRole == 1) then
					f:SetBackdrop({bgFile = "Interface\\AddOns\\Pvp-Role\\textures\\Tank.blp", 0, tile = false, tileSize = 0, edgeSize = 0, insets = { left = 0, right = 0, top = 0, bottom = 0 }});
				elseif(activeRole == 2) then
					f:SetBackdrop({bgFile = "Interface\\AddOns\\Pvp-Role\\textures\\Heal.blp", 0, tile = false, tileSize = 0, edgeSize = 0, insets = { left = 0, right = 0, top = 0, bottom = 0 }});
				else
					f:SetBackdrop({bgFile = "Interface\\AddOns\\Pvp-Role\\textures\\Damage.blp", 0, tile = false, tileSize = 0, edgeSize = 0, insets = { left = 0, right = 0, top = 0, bottom = 0 }});		
				end
				--positioning the frame
				f:Show();
				break;
			end
		end
	end
end);



-- Returns 1 to 3 for role of spec
-- 1 = Tank
-- 2 = Heal
-- 3 = Damage
function specToRole(spec)
	-- Tanks
		if(spec == "W\195\164chter") then -- \195\164 = 	
			return 1;
		end
		if(spec == "Schutz") then
			return 1;
		end
		if(spec == "Braumeister") then
			return 1;
		end
		if(spec == "Blut") then
			return 1;
		end 
	-- Heals
		if(spec == "Wiederherstellung") then
      		return 2;
      	end
      	if(spec == "Disziplin") then
      		return 2;
     	end
     	if(spec == "Heilig") then
      		return 2;
     	end
     	if(spec == "Nebelwirker") then
      		return 2;
     	end
     	
     -- DDs
     	return 3;
end